DOM Level 3 API: Interface DocumentEditAS

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface DocumentEditAS

All Superinterfaces:
  NodeEditAS

Deprecated. This interface extends the `NodeEditAS` interface with additional methods for both document and AS editing.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface DocumentEditAS
extends NodeEditAS

Fields inherited from interface org.apache.xerces.dom3.as.NodeEditAS
`NS_WF_CHECK, PARTIAL_VALIDITY_CHECK, STRICT_VALIDITY_CHECK, WF_CHECK`

Method Summary
`boolean` | `getContinuousValidityChecking()` Deprecated. An attribute specifying whether continuous checking for the validity of the document is enforced or not.
`void` | `setContinuousValidityChecking(boolean continuousValidityChecking)` Deprecated. An attribute specifying whether continuous checking for the validity of the document is enforced or not.

Methods inherited from interface org.apache.xerces.dom3.as.NodeEditAS
`canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, isNodeValid`

Method Detail

### getContinuousValidityChecking

    public boolean getContinuousValidityChecking()

  Deprecated.
  An attribute specifying whether continuous checking for the validity of the document is enforced or not. Setting this to `true` will result in an exception being thrown, i.e., `VALIDATION_ERR`, for documents that are invalid at the time of the call. If the document is invalid, then this attribute will remain `false`. This attribute is `false` by default.Add VALIDATION_ERR code to the list of constants in DOMASException.

### setContinuousValidityChecking

    public void setContinuousValidityChecking(boolean continuousValidityChecking)

  Deprecated.
  An attribute specifying whether continuous checking for the validity of the document is enforced or not. Setting this to `true` will result in an exception being thrown, i.e., `VALIDATION_ERR`, for documents that are invalid at the time of the call. If the document is invalid, then this attribute will remain `false`. This attribute is `false` by default.Add VALIDATION_ERR code to the list of constants in DOMASException.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.